%define name	netwox
%define version	5.35.0
%define release	%mkrel 4

Summary:	A network toolbox
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Networking/Other
URL:		http://www.laurentconstantin.com/fr/netw/netwox/
Source0:	http://www.laurentconstantin.com/common/netw/netwox/download/v5/%{name}-%{version}-src.tgz
Source1:	http://www.laurentconstantin.com/common/netw/netwox/download/v5/%{name}-%{version}-doc_html.tgz
BuildRequires:	libpcap-devel >= 0.7.2
BuildRequires:	net2-devel
BuildRequires:	netwib-devel = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Netwox is a network tools for network administrator and hackers.

It contains about 100 functions

%prep

%setup -q -n %{name}-%{version}-src -a1 

perl -pi -e 's!^NETWIBDEF_INSTPREFIX=.*!NETWIBDEF_INSTPREFIX=/usr!' src/config.dat
perl -pi -e 's!^NETWOXDEF_INSTPREFIX=.*!NETWOXDEF_INSTPREFIX=/usr!' src/config.dat
# Hacking for lib64
perl -pi -e 's!^NETWIBDEF_INSTLIB=.*!NETWIBDEF_INSTLIB=%{_libdir}!' src/config.dat
perl -pi -e 's!^NETWIBDEF_SYSARCH=.*!NETWIBDEF_SYSARCH=%{_arch}!' src/config.dat
perl -pi -e 's!^NETWOXDEF_INSTMAN=.*!NETWOXDEF_INSTMAN=%{_mandir}!' src/config.dat

%build
cd src
./genemake
make GCCOPT="%{optflags} -D_BSD_SOURCE -D__BSD_SOURCE -D__FAVOR_BSD -DHAVE_NET_ETHERNET_H"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

cd src
%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALLUNIX.TXT INSTALLWINDOWS.TXT README.TXT
%doc doc/*.txt %{name}-%{version}-doc_html/*
%{_bindir}/netwox*
%{_mandir}/man1/netwox*.1*


%changelog
* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 5.35.0-4mdv2009.1
+ Revision: 298322
- rebuilt against libpcap-1.0.0

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.35.0-3mdv2009.0
+ Revision: 241095
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 03 2007 Funda Wang <fundawang@mandriva.org> 5.35.0-1mdv2008.0
+ Revision: 47458
- New version
- rebuild for new era
- Import netwox



* Fri Mar 17 2006 Oden Eriksson <oeriksson@mandriva.com> 5.30.0-2mdk
- rebuilt against libnet1.1.2

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 5.30.0-1mdk
- 5.30.0
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Tue Aug 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.21.0-1mdk
- 5.21.0

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.20.0-1mdk
- 5.20.0
- build against the latest libnet version
- fix deps
- drop P0, it doesn't seem to be needed
- misc spec file fixes

* Sun Nov 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.4.0-2mdk
- add doc files

* Sun Nov  2 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.4.0-1mdk
- 1st mdk spec
